﻿@model FrameworkCore.Domains.Store.Entities.ProductEntity;

@{
    ViewData["Title"] = "Store";
}

@section css {
    <link href="~/css/view/store/MyStore.css" rel="stylesheet" type="text/css">
}


<div class="container">
    <div class="card o-hidden border-0 shadow-lg my-5">
        <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="p-5">
                        <div class="user">
                            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel" data-interval="false">
                                <ol class="carousel-indicators">
                                    @{string activeClass =  "active";}
                                    @for (var i = 0; i < Model.Pictures.Count(); i++)
                                    {
                                        {activeClass =  i == 0 ? "active" : "";}
                                        <li data-target="#carouselExampleIndicators" data-slide-to="@i" class="@activeClass" ></li>
                                    }
                                </ol>
                                <div class="carousel-inner">
                                    @{int idx = 0;}
                                    @foreach (var pict in Model.Pictures)
                                    {
                                        {
                                            activeClass =  idx == 0 ? "active" : "";
                                            idx++;
                                        }
                                        <div class="carousel-item @activeClass">
                                            <img class="d-block w-100" src="@pict.Url">
                                        </div>
                                    }
                                </div>
                                <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Previous</span>
                                </a>
                                <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Next</span>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
 </div>
